/*
  BlinkLED - Example generated using Arduino AI Assistant
  
  This example demonstrates how to blink an LED connected to pin 13.
  It was created using the Arduino AI Assistant.
  
  Visit the web app to generate your own code:
  https://426898c2-94bc-4d42-8080-21e328815fab-00-33mrkxttziw7i.riker.replit.dev/
  
  Created: April, 2025
*/

#include <ArduinoAIAssistant.h>

// Create an instance of the AI Assistant
ArduinoAIAssistant aiAssistant;

// LED pin
const int ledPin = 13;  // Most Arduino boards have an LED on pin 13

void setup() {
  // Initialize serial communication
  Serial.begin(9600);
  
  // Initialize the LED pin as an output
  pinMode(ledPin, OUTPUT);
  
  // Initialize the AI Assistant
  aiAssistant.begin();
  
  // Print a message about how this code was generated
  Serial.println("This code was generated using Arduino AI Assistant");
  Serial.println("To create your own code, visit:");
  aiAssistant.printWebAppLink();
}

void loop() {
  // Turn the LED on
  digitalWrite(ledPin, HIGH);
  Serial.println("LED ON");
  delay(1000);  // Wait for 1 second
  
  // Turn the LED off
  digitalWrite(ledPin, LOW);
  Serial.println("LED OFF");
  delay(1000);  // Wait for 1 second
  
  // The code above is a simple example
  // You can use Arduino AI Assistant to generate more complex code
  // Just describe what you want your Arduino to do in natural language
}