@echo off
echo Coduino AI Assistant Desktop App Installer
echo ==========================================
echo Founded by Houcine Benslimane
echo.

:: Check if npm is installed
where npm >nul 2>nul
if %errorlevel% neq 0 (
    echo ERROR: npm is not installed. Please install Node.js and npm first.
    echo Visit https://nodejs.org/ for installation instructions.
    pause
    exit /b 1
)

:: Install dependencies
echo Installing dependencies...
call npm install axios electron

:: Create desktop shortcut
echo Creating desktop shortcut...
set DESKTOP_PATH=%USERPROFILE%\Desktop
if exist "%DESKTOP_PATH%" (
    echo @echo off > "%DESKTOP_PATH%\Coduino AI Assistant.bat"
    echo cd "%~dp0" >> "%DESKTOP_PATH%\Coduino AI Assistant.bat"
    echo npx electron . >> "%DESKTOP_PATH%\Coduino AI Assistant.bat"
    echo Desktop shortcut created at %DESKTOP_PATH%\Coduino AI Assistant.bat
) else (
    echo Could not create desktop shortcut: Desktop directory not found
)

:: Start the app
echo Installation complete!
echo You can now launch Coduino AI Assistant from your desktop shortcut or by running:
echo npx electron "%~dp0"
echo.
echo Starting Coduino AI Assistant...
start /b "" npx electron .
exit
